* This file created by Oleg generates results similar with "03 - Nu.03.sps"
get file = 'ch.sav'.

weight by chweight.

select if (UF9 = 1).

STRING cageby2 (A8) .
RECODE
  cage
  (0 thru 1='0-1')  (2 thru 3='2-3') (4 thru 5='4-5') (6 thru 7='6-7') (8 thru 9='8-9') (10 thru 11='10-11')
  (12 thru 13='12-13') (14 thru 15='14-15') (16 thru 17='16-17') (18 thru 19='18-19') (20 thru 21='20-21') (22 thru 23='22-23')
  (24 thru 25='24-25') (26 thru 27='26-27') (28 thru 29='28-29') (30 thru 31='30-31') (32 thru 33='32-33') (34 thru 35='34-35')
  (36 thru Highest='>=36')   INTO  cageby2 .
VARIABLE LABELS cageby2 'Age (by 2 months)'.
EXECUTE .

*do if (cage >= 0 and cage <= 5).
 compute exbf = 0.
 if (BF2 = 1 & (BF3B <> 1 & BF3C <> 1 & BF3D <> 1 & BF3E <> 1 & BF3F <> 1 & 
  BF3G <> 1 & BF3H <> 1 & BF3I <> 1))	exbf = 100.
variable label exbf "Exclusive breastfeeding".

 compute bfwat = 0.
 if ((BF2 = 1 and BF3B = 1) and (BF3C <> 1 & BF3D <> 1 & BF3E <> 1 & BF3F <> 1 & 
  BF3G <> 1 & BF3H <> 1 & BF3I <> 1)) bfwat = 100.
variable label bfwat "Breastfed and plain water only".

compute bfnmilk = 0.
 if bfwat = 0 and BF2 = 1 and BF3H <> 1 and (BF3B = 1 or BF3C = 1 or BF3D = 1 or  BF3G = 1 or BF3I = 1) bfnmilk = 100.
variable label bfnmilk "Breastfed and non-milk liquids".

compute bfomilk = 0.
 if ((bfwat = 0 and bfnmilk = 0) and BF2 = 1 and  BF3H <> 1 and (BF3E = 1 or BF3F = 1)) bfomilk = 100.
variable label bfomilk "Breastfed and other milk/ formula".

compute bfcfood = 0.
 if (BF2 = 1 and BF3H = 1) bfcfood = 100.
variable label bfcfood "Breastfed and complementary foods".

compute notbf = 0.
 if BF1 > 1  or (bf1 = 1 and bf2 <> 1) notbf = 100.
variable label notbf "Weaned (not breastfed)".


tables
  /format = zero
  /observation = exbf bfwat bfnmilk bfomilk bfcfood notbf
  /ftotal = tot1 "Total"
  /table = cageby2 + tot1 by 
		exbf + bfwat + bfnmilk + bfomilk + bfcfood + notbf
  /statistics
    mean(exbf (f5.1) 'Percent exclusively breastfed')
    mean(bfwat (f5.1) 'Breastfed and plain water only')
    mean(bfnmilk (f5.1) 'Breastfed and non-milk liquids')
    mean(bfomilk (f5.1) 'Breastfed and other milk/ formula')
    mean(bfcfood (f5.1) 'Breastfed and complementary foods')
    mean(notbf (f5.1) 'Weaned (not breastfed)')
  /title
    "Table NU.XXX: Breastfeeding"
		"Percent of living children according to breastfeeding status at each "+
		"age group,  Tajikistan, 2005"
  /caption
    "* MICS indicator XXX15 "
		"** MICS indicator XXX17"
		"*** MICS indicator XXX16".

new file.



